Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::BoundSlot0_1< R, P1 > Class Template Reference

Converts a slot taking one argument into a slot taking no arguments. More...

`#include <inti/bind.h>`

Inheritance diagram for Inti::BoundSlot0_1< R, P1 >:

List of all members.

## Public Member Functions

- BoundSlot0_1 (Slot1< R, P1 > *slot, P1 p1)
    Constructor.
- virtual ~BoundSlot0_1 ()
    Destructor.
- virtual R call () const
    Calls the original slot passing it the bound argument p as the last parameter.

## Detailed Description

### template<typename R, typename P1>
class Inti::BoundSlot0_1< R, P1 >

Converts a slot taking one argument into a slot taking no arguments.

## Constructor & Destructor Documentation

template<typename R, typename P1>
Inti::BoundSlot0_1< R, P1 >::BoundSlot0_1 | ( | Slot1< R, P1 > * | slot,
|  | P1 | p1
| ) | `[inline]`

  | Constructor. Parameters:
  slot | A pointer to a slot of type Slot1<R, P1>.
  p1 | A bound argument of type P1

The documentation for this class was generated from the following file:

- bind.h

Main Page - Footer